#include <iostream>
#include <cmath>
//#include <stdio.h>
//#include <iomath>
//d

using namespace std;

int main(){
	
int n,m;
	cin>>n>>m;
	
	int a[n];
	for(int i=0;i<n;i++)
	cin>>a[i];

	double s=0;
	int x[m][2];
	
	for(int i=0;i<m;i++){
	cin>>x[i][0]>>x[i][1];
	int p=0;
	int q=0;
	
	p=x[i][0]-1;
	q=x[i][1]-1;
	
	if(abs(a[p])>=abs(a[q]) && a[p]<0) s-=a[p]+a[q];
	else if(abs(a[p])>=abs(a[q])) s+=a[p]+a[q];
	else if(abs(a[p])<=abs(a[q]) && a[q]<0) s-=a[p]+a[q];
	else if(abs(a[p])<=abs(a[q]))s+=a[p]+a[q];  
}
	cout<<s;

	return 0;
}
//Muhamed Ljajic III-11 Gimnazija Novi Pazar